<!DOCTYPE html>
<html lang="{{ .Site.LanguageCode | default "en-us" }}">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>{{ block "title" . }}{{ .Title }}{{ end }}</title>
	{{ .Hugo.Generator }}
	{{ if .Site.Params.opengraph }}{{ template "_internal/opengraph.html" . }}{{ end }}
	{{ if .Site.Params.twitter_cards }}{{ template "_internal/twitter_cards.html" . }}{{ end }}
	<link rel="dns-prefetch" href="//fonts.googleapis.com">
	<link rel="dns-prefetch" href="//fonts.gstatic.com">
	{{ with .OutputFormats.Get "rss" -}}
	{{ printf `<link rel="%s" type="%s" href="%s" title="%s">` .Rel .MediaType.Type .RelPermalink $.Site.Title | safeHTML }}
	{{ end -}}

	<!-- Open Graph -->
	{{ partial "opengraph" . }}

	<!-- Additional Metadata -->
	<meta name="description" content="{{ if .IsHome }}{{ .Site.Params.description }}{{else}}{{ .Params.Description }}{{end}}">

	<!-- Favicon -->
	<link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
	<link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
	<link rel="manifest" href="/site.webmanifest">
	<link rel="mask-icon" href="/safari-pinned-tab.svg" color="#0086ff">
	<meta name="msapplication-TileColor" content="#0086ff">
	<meta name="theme-color" content="#0086ff">

	<!-- CSS -->
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:400,400i,700">
	<link rel="stylesheet" href="{{ .Site.BaseURL }}css/bootstrap.min.css" />
	<link rel="stylesheet" href="{{ .Site.BaseURL }}css/airspace.css" />
	<link rel="stylesheet" href="{{ .Site.BaseURL }}css/style.css" />
	<link rel="stylesheet" href="{{ .Site.BaseURL }}css/animate.css" />
	<link rel="stylesheet" href="{{ .Site.BaseURL }}css/responsive.css" />
	<link rel="stylesheet" href="{{ .Site.BaseURL }}css/syntax.css" />

	<!-- JS -->
	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
	<script type="text/javascript" src="{{ .Site.BaseURL }}js/scripts.js"></script>
	<script src="{{ .Site.BaseURL }}js/plugins.js"></script>
	<script src="{{ .Site.BaseURL }}js/min/waypoints.min.js"></script>
	<script src="{{ .Site.BaseURL }}js/bootstrap.min.js"></script>

	<link rel="shortcut icon" href="{{ .Site.BaseURL }}favicon.ico">

	<script>window.jQuery || document.write('<script src="js/vendor/jquery-1.10.2.min.js"><\/script>')</script>

	{{- if not .Site.IsServer }}
		{{ template "_internal/google_analytics_async.html" . }}
	{{- end }}
</head>

<body class="body">
	{{ if eq (getenv "HUGO_ENV") "production" }}
	<!-- Redirect to HTTPS -->
	<script type="text/javascript">
		(function(){
			if (location.protocol != 'https:'){
				location.href = 'https://blog.subnetzero.io'
			}
		})()
	</script>
	{{ end }}
	{{ partialCached "header" . }}
	<div class="body-wrapper">
		<div class="container-bg container container--outer">
			<!-- div class="wrapper flex" -->
			<div class="row wrapper">
				<div class="col-md-8 col-xs-12">
					<section class="primary">
					{{ block "main" . }}
						{{ with .Content }}
						<div class="content main__content clearfix">
							{{ . }}
						</div>
						{{ end }}
					{{ end }}
					</section>
				</div>
				<div class="col-md-4 col-xs-12">
					{{ partial "sidebar.html" . }}
				</div>
			</div>
		</div>
	</div>
{{ partialCached "footer" . }}
{{- partial "mathjax.html" . -}}
</body>
</html>
